[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomTreeView.Destroy

Destructor for the class instance.

## Declaration

Source position: comctrls.pp line 3709

`public destructor TCustomTreeView.Destroy; override;`

## Description

Destroy is the overridden destructor for the class instance. It calls LockSelectionChangeEvent on entry to prevent changes to the Selected tree node while the class is being freed. Destroys frees references and resources allocated to members in the class instance. It calls the inherited Destroy method prior to exit.

## See also

TCustomControl.Destroy |  | Destructor for the class instance.
TComponent.Destroy